Bug 27377 - Поддержка Aladdin JaCarta Flash
: Поддержка Aladdin JaCarta Flash
Status: CLOSED FIXED
: Branch p6
(All bugs in Branch p6/pcsc-lite-ccid)
: не указана
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-05-28 16:10 by
Modified: 2012-05-29 08:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-28 16:10:46
Просьба добавить поддержку Aladdin JaCarta Flash

Вот параметры их JaCarta Flash
ifdVendorID -> 0x24DC
ifdProductID -> 0x100F
ifdFriendlyName -> JaCarta Flash
------- Comment #1 From 2012-05-28 16:38:48 -------
Уточните, пожалуйста, ifdProductID: поддержку JaCarta я добавлял, но там было
значение 0x0101:
http://git.altlinux.org/gears/p/pcsc-lite-ccid.git?p=pcsc-lite-ccid.git;a=blob;f=pcsc-lite-ccid-alt-jacarta-support.patch;h=32024f72143051e89b017a04ec8a13f70f8a714b;hb=05b367b19d511f90f855dd8f8bbf8878673d372b

Здесь имеется ввиду какое-то новое устройство, или добавленный ifdProductID
(0x0101) неверен?
------- Comment #2 From 2012-05-28 18:42:19 -------
(В ответ на комментарий №1)
> Уточните, пожалуйста, ifdProductID: поддержку JaCarta я добавлял, но там было
> значение 0x0101:
> http://git.altlinux.org/gears/p/pcsc-lite-ccid.git?p=pcsc-lite-ccid.git;a=blob;f=pcsc-lite-ccid-alt-jacarta-support.patch;h=32024f72143051e89b017a04ec8a13f70f8a714b;hb=05b367b19d511f90f855dd8f8bbf8878673d372b
> 
> Здесь имеется ввиду какое-то новое устройство, или добавленный ifdProductID
> (0x0101) неверен?

да, новое видимо (аналог eToken NG-FLASH)
Вот что говорил аладдин:

Открыть конфигурационный файл (обычно лежит в
/usr/lib/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist)
Это некий xml документ, в котором надо найти массивы: ifdVendorID,
ifdProductID, ifdFriendlyName. Массивы располагаются внутри тегов <array>. И
добавить в них элементы c тегом <string>:
ifdVendorID ->0x24DC
ifdProductID -> 0x100F
ifdFriendlyName -> JaCarta Flash


PS. почему-то не работает ответ на тикет через email
 bugzilla-daemon@altlinux.ru
    SMTP error from remote mail server after RCPT
TO:<bugzilla-daemon@altlinux.ru>:
    host smtp.altlinux.org [194.107.17.36]: 550 5.1.1
<bugzilla-daemon@altlinux.ru>:
    Recipient address rejected: User unknown in virtual alias table
------- Comment #3 From 2012-05-29 08:45:00 -------
pcsc-lite-ccid-1.4.5-alt3 -> sisyphus:

* Tue May 29 2012 Vitaly Kuznetsov <vitty@altlinux> 1.4.5-alt3
- Add JaCarta Flash support (ALT #27377)